Subject: Re: [PATCH 0/13] unraveling the mysteries of color variables

From: Jeff King <[email-masked]>
Date: Tue, 16 Sep 2025 16:28:32 -0400

On Tue, Sep 16, 2025 at 04:10:37PM -0400, Jeff King wrote:

> The good news is that my digging did uncover two minor bugs, which are
> fixed here in patches 2 and 3. And the series should improve the
> readability of the code by using named constants and appropriate types
> more consistently.

Either counting is hard, or my brain is fried from looking at this color
code. At any rate, the fixes are in patches 3 and 5:

>   [03/13]: grep: don't treat grep_opt.color as a strict bool
>   [05/13]: diff: don't use diff_options.use_color as a strict bool

-Peff